contentful_client 0.1.0

  • Readme
  • Changelog
  • Example
  • Installing
  • 44

Contentful Dart - Dart Delivery SDK for Contentful #

Build Status Version codecov

What is Contentful?

Contentful provides content infrastructure for digital teams to power websites, apps, and devices. Unlike a CMS, Contentful was built to integrate with the modern software stack. It offers a central hub for structured content, powerful management and delivery APIs, and a customizable web app that enable developers and content creators to ship their products faster.

Table of contents

Core Features #

Getting started #

Installation #

Your first request #

Authorization #

Documentation & References #

Reference Documentation #

For information about the Content Delivery API, check out the Content Delivery API Reference Documentation.

Tutorials & other resources #

  • This library is a wrapper around our Contentful Delivery REST API. Some more specific details such as search parameters and pagination are better explained on the REST API reference, and you can also get a better understanding of how the requests look under the hood.

  • Check the Contentful page for Tutorials, Demo Apps.

Example application

See the Flutter app on Github and follow the instructions on the README to get a copy of the space so you can see how changing content in Contentful affects the presentation of the app.

Get involved #

PRs Welcome

We appreciate any help on our repositories. For more details about how to contribute see our Contributing.md document.

License #

This repository is published under the MIT license.

Code of Conduct #

We want to provide a safe, inclusive, welcoming, and harassment-free space and experience for all participants, regardless of gender identity and expression, sexual orientation, disability, physical appearance, socioeconomic status, body size, ethnicity, nationality, level of experience, age, religion (or lack thereof), or other identity markers.

Read our full Code of Conduct.

[0.1.0] #

  • WIP

example/readme.md

Example application #

See the Flutter app on Github and follow the instructions on the README to get a copy of the space so you can see how changing content in Contentful affects the presentation of the app.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  contentful_client: ^0.1.0

2. Install it

You can install packages from the command line:

with pub:


$ pub get

with Flutter:


$ flutter pub get

Alternatively, your editor might support pub get or flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:contentful_client/contentful_client.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
0
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
70
Overall:
Weighted score of the above. [more]
44
Learn more about scoring.

We analyzed this package on Jul 7, 2020, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.8.4
  • pana: 0.13.13

Analysis suggestions

Package not compatible with runtime flutter-web on web

Because of the import of dart:io via the import chain package:contentful_client/contentful_client.dartpackage:contentful_client/src/networking/contentful_http_client.dartpackage:contentful_client/src/networking/http2_client.dartpackage:http2/http2.dartpackage:http2/transport.dartpackage:http2/src/hpack/hpack.dartpackage:http2/src/hpack/huffman_table.dartpackage:http2/src/hpack/huffman.dartdart:io

Package not compatible with runtime web

Because of the import of dart:io via the import chain package:contentful_client/contentful_client.dartpackage:contentful_client/src/networking/contentful_http_client.dartpackage:contentful_client/src/networking/http2_client.dartpackage:http2/http2.dartpackage:http2/transport.dartpackage:http2/src/hpack/hpack.dartpackage:http2/src/hpack/huffman_table.dartpackage:http2/src/hpack/huffman.dartdart:io

Maintenance issues and suggestions

Homepage URL doesn't exist. (-20 points)

At the time of the analysis the homepage field https://github.com/amondnet/contentful_client/package was unreachable.

Issue tracker URL doesn't exist. (-10 points)

At the time of the analysis the issue_tracker field https://github.com/data-hfg/contentful_client/issues was unreachable.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.7.0 <3.0.0
built_collection ^4.3.0 4.3.2
built_value ^7.0.0 7.1.0
http ^0.12.1 0.12.1
http2 ^1.0.0 1.0.0
http_parser ^3.0.0 3.1.4
meta ^1.1.8 1.2.1
tuple ^1.0.0 1.0.3
Transitive dependencies
charcode 1.1.3
collection 1.14.13
fixnum 0.10.11
path 1.7.0
quiver 2.1.3
source_span 1.7.0
stack_trace 1.9.5
string_scanner 1.0.5
term_glyph 1.1.0
typed_data 1.2.0
Dev dependencies
angel_framework ^2.0.0
build_runner ^1.7.2
build_test any
built_value_generator ^7.0.0
built_value_test ^7.0.0
cli_repl ^0.2.0
matcher ^0.12.6 0.12.8
mockito ^4.1.1
pedantic ^1.9.0 1.9.1
test ^1.9.4
test_coverage 0.4.0